Package Details: daedalus 0.11.1-1

Git Clone URL: https://aur.archlinux.org/daedalus.git (read-only)
Package Base: daedalus
Description: Cryptocurrency wallet
Upstream URL: https://github.com/input-output-hk/daedalus
Licenses: MIT
Submitter: tensor5
Maintainer: tensor5
Last Packager: tensor5
Votes: 6
Popularity: 0.496601
First Submitted: 2017-12-02 17:23
Last Updated: 2018-10-21 07:33

Latest Comments

1 2 Next › Last »

emes commented on 2018-05-14 21:11

I'm getting a LOT of messages like this:

ERROR in Node Sass does not yet support your current environment: Linux 64-bit with Unsupported runtime (64)

The resulting application launches with empty white window, with menu bar only.

goetzc commented on 2018-03-31 04:26

This doesn't work as it, the backend is missing, you can add cardano-sl as optdep.

Fandekasp commented on 2018-03-10 12:42

Why hasn't this package been updated since December ?

tensor5 commented on 2018-02-06 10:18

I will add cardano-sl as dependency of daedalus.

asbachb commented on 2018-02-06 10:08

@tensor5 why you don't add it as dependency to PKGBUILD?

tensor5 commented on 2018-02-06 10:07

@mikail.khan, install rocksdb from aur and make sure it's compiled without jemalloc or gperftools.

mikail.khan commented on 2018-01-21 12:42

Running Manjaro Arch Linux and this C library doesn't seem to be available:

Got this error when trying to build Cardano SL:

cy=transformers=transformers-0.5.5.0-H2bD029pEsWHDboiJI5ebg Process exited with code: ExitFailure 1 Logs have been written to: /tmp/pamac-build-mikail/cardano-sl/src/cardano-sl/.stack-work/logs/rocksdb-haskell-1.0.0.log

Configuring rocksdb-haskell-1.0.0...
Cabal-simple_mPHDZzAJ_1.24.2.0_ghc-8.0.2: Missing dependency on a foreign
library:
* Missing C library: rocksdb
This problem can usually be solved by installing the system package that
provides this library (you may need the "-dev" version). If the library is
already installed but in a non-standard location then you can use the flags
--extra-include-dirs= and --extra-lib-dirs= to specify where it is.

==> ERROR: A failure occurred in build(). Aborting...

asbachb commented on 2018-01-08 22:57

I used node version management to install a specific version of node which installed node binaries to /usr/local/lib/node_module instead of /usr/lib/node_modules so npm could not link the package.

For now I created a symlink and the package compiles quite fine.

asbachb commented on 2018-01-03 22:28

Build fails for me:

0 info it worked if it ends with ok
1 verbose cli [ '/usr/local/bin/node',
1 verbose cli   '/usr/local/bin/npm',
1 verbose cli   'link',
1 verbose cli   'daedalus-client-api' ]
2 info using npm@5.5.1
3 info using node@v8.9.3
4 verbose npm-session 199dc892d7b1b887
5 silly install loadCurrentTree
6 silly install readGlobalPackageData
7 http fetch GET 404 https://registry.npmjs.org/daedalus-client-api 1529ms
8 silly fetchPackageMetaData error for daedalus-client-api@latest 404 Not Found: daedalus-client-api@latest
9 verbose stack Error: 404 Not Found: daedalus-client-api@latest
9 verbose stack     at fetch.then.res (/usr/local/lib/node_modules/npm/node_modules/pacote/lib/fetchers/registry/fetch.js:42:19)
9 verbose stack     at tryCatcher (/usr/local/lib/node_modules/npm/node_modules/bluebird/js/release/util.js:16:23)
9 verbose stack     at Promise._settlePromiseFromHandler (/usr/local/lib/node_modules/npm/node_modules/bluebird/js/release/promise.js:512:31)
9 verbose stack     at Promise._settlePromise (/usr/local/lib/node_modules/npm/node_modules/bluebird/js/release/promise.js:569:18)
9 verbose stack     at Promise._settlePromise0 (/usr/local/lib/node_modules/npm/node_modules/bluebird/js/release/promise.js:614:10)
9 verbose stack     at Promise._settlePromises (/usr/local/lib/node_modules/npm/node_modules/bluebird/js/release/promise.js:693:18)
9 verbose stack     at Async._drainQueue (/usr/local/lib/node_modules/npm/node_modules/bluebird/js/release/async.js:133:16)
9 verbose stack     at Async._drainQueues (/usr/local/lib/node_modules/npm/node_modules/bluebird/js/release/async.js:143:10)
9 verbose stack     at Immediate.Async.drainQueues (/usr/local/lib/node_modules/npm/node_modules/bluebird/js/release/async.js:17:14)
9 verbose stack     at runCallback (timers.js:789:20)
9 verbose stack     at tryOnImmediate (timers.js:751:5)
9 verbose stack     at processImmediate [as _immediateCallback] (timers.js:722:5)
10 verbose cwd /home/asbachb/.cache/pacaur/daedalus/src/daedalus
11 verbose Linux 4.14.10-1-ARCH
12 verbose argv "/usr/local/bin/node" "/usr/local/bin/npm" "link" "daedalus-client-api"
13 verbose node v8.9.3
14 verbose npm  v5.5.1
15 error code E404
16 error 404 Not Found: daedalus-client-api@latest
17 verbose exit [ 1, true ]

gwpl commented on 2017-12-18 18:32

@codybonney you are right! The first error message is

[19:31:16:0282] [error] Error while loading ca.crt: Error: ENOENT: no such file or directory, open '/home/gwpl/download/temp2del/input-output-hk-github/daedalus/tls/ca/ca.crt'

Here is suggestion how to fix it that may be considered to be integrated into PKGBUILD : https://github.com/input-output-hk/daedalus/issues/522#issuecomment-338822000